---------------------------------------- 
-- Main Code --------------------------- 
----------------------------------------  

-- This is where the other GUI files are
-- loaded and everything is tied together.

----------------------------------------  
----------------------------------------  
----------------------------------------  

local Version = "OpenEUO 0.9m"

dofile("const.lua")
dofile("library.lua")
dofile("layout.lua")
dofile("menu.lua")
dofile("instances.lua")

----------------------------------------  

local function ExitHandler()
	if Inst.Confirm("Exit OpenEUO?") then
		Obj.Exit()
	end
	return false
end

----------------------------------------  

local MenuHandler = {
	[11] = Inst.New,
	[12] = Inst.Open,
	[13] = Inst.Save,
	[14] = Inst.SaveAs,
	[15] = Inst.Close,
	[16] = Inst.CloseAll,
	[17] = ExitHandler,

	[21] = Inst.Cut,
	[22] = Inst.Copy,
	[23] = Inst.Paste,
	[24] = Inst.Delete,
	[25] = Inst.SelectAll,
	[26] = Inst.Undo,

	[31] = Inst.Start,
	[32] = Inst.Pause,
	[33] = Inst.Stop,
	[34] = Inst.StopAll,
	[35] = Inst.StepInto,
	[36] = Inst.StepOver,
	[37] = Inst.StepOut,

	[41] = function() msgbox(MainForm.Handle,Version.."\r\nby Cheffe","About",32) end, --MB_ICONQUESTION
}

----------------------------------------  

local function Main()
	CreateLayout(Version,ExitHandler)
	CreateMenu(MainForm,TabControl,MenuHandler)
	CreateInst(TabControl,BottomLabel)
	Obj.Loop()
	FreeInst()
	FreeMenu()
	FreeLayout()
end

----------------------------------------  

Main()
